# Notification
source: https://developer.mastercard.com/cross-border-services/documentation/api-ref/rfi-apis/notification/index.md

## API {#api}

[**Open Specification**](https://static.developer.mastercard.com/content/cross-border-services/swagger/RFI+Spec.yaml)

This RFI Push Notification will inform a Customer of the current status of a RFI request. Look at the RFI process description and [How it works](https://developer.mastercard.com/cross-border-services/documentation/api-ref/rfi-apis/how-it-works/index.md) for details on how to use the Push Notification for a cross border RFI solution.  

For more information on configuring a push notification, please see [here](https://developer.mastercard.com/cross-border-services/documentation/api-ref/push-notifications-details/index.md).

## Environment domains {#environment-domains}

This is a push notification and webhook endpoint will need to be provided by you for Mastercard to send the RFI Request notifications.

API Reference: `GET /send/partners/{partner_id}/crossborder/rfi/webhooks`

* **Formats supported** : JSON   
* **HTTP Version**: 1.0/ 1.1
* **Required HTTP header parameters** :   
  content-type : Format of the inbound content being submitted. example: application/ json   
  content-length: Length of the inbound content body in octets.   
  Accept: Format of the expected response must be provided in this header field. Example- application/json

## Payload Encryption {#payload-encryption}

The payload sent by Mastercard will be encrypted. You will need to decrypt the payload sent by Mastercard.   

For more detailed information on payload **Encryption/Decryption** , please see [here](https://developer.mastercard.com/cross-border-services/documentation/api-ref/encryption/index.md)

## Sandbox Testing {#sandbox-testing}

Not Applicable

## Sample Requests {#sample-requests}

### 1. RFI request created and assigned to Customer requesting for Sender's full name for single payment transaction; Notification for requestStatus Open. {#1-rfi-request-created-and-assigned-to-customer-requesting-for-senders-full-name-for-single-payment-transaction-notification-for-requeststatus-open}

* JSON

```JSON
{
  "partnerId": "BEL_MASEND5ged2",
  "transactionType": "RFI",
  "eventRef": "69aa98a4-a93a-4cab-b179-bbe7433e8b58",
  "eventType": "CREATED",
  "notification": {
    "assignee": "BEL_MASEND5ged2",
    "creator": "Mastercard",
    "lastUpdatedDate": "2021-10-25T11:05:00.000+00:00",
    "other": {
      "requestDocuments": {
        "response": {
          "value": []
        }
      },
      "responseDocuments": {
        "response": {
          "value": {
            "request": {
              "label": "Additional attachments",
              "kind": "multi_file"
            },
            "response": {
              "value": []
            }
          }
        }
      }
    },
    "requestCreateDate": "2021-10-25T11:05:00.000+00:00",
    "requestId": "20ef5aef-0598-4741-9945-c0bafc7b5a98",
    "requestInstruction": "Please provide the information requested.",
    "requestStatus": "OPEN",
    "responseType": "NoResponse",
    "sender": {
      "fullName": {
        "request": {
          "label": "Full name",
          "kind": "text"
        },
        "response": {
          "value": ""
        }
      }
    },
    "transactions": [
      {
        "paymentDateTime": "2021-10-15T11:05:00.000+00:00",
        "recipientUri": "",
        "senderUri": "",
        "transactionReference": "Trans3999034810154901"
      }
    ]
  },
  "requestStatus": {
    "requestHistory": [
      {
        "eventActor": "Mastercard",
        "eventRef": "20da8559-ff57-48ec-855a-be159dcdde45",
        "eventType": "REQUEST_CREATED",
        "timestamp": "2021-10-25T11:05:00.000+00:00"
      }
    ]
  }
}
```

### 2. RFI request created and assigned to Customer requesting for Sender's full name for multiple payment transactions; Notification for requestStatus Open. {#2-rfi-request-created-and-assigned-to-customer-requesting-for-senders-full-name-for-multiple-payment-transactions-notification-for-requeststatus-open}

* JSON

```JSON
{
  "partnerId": "BEL_MASEND5ged2",
  "transactionType": "RFI",
  "eventRef": "69aa98a4-a93a-4cab-b179-bbe7433e8b58",
  "eventType": "CREATED",
  "notification": {
    "assignee": "BEL_MASEND5ged2",
    "creator": "Mastercard",
    "lastUpdatedDate": "2021-10-25T11:05:00.000+00:00",
    "other": {
      "requestDocuments": {
        "response": {
          "value": []
        }
      }
    },
    "requestCreateDate": "2021-10-25T11:05:00.000+00:00",
    "requestId": "20ef5aef-0598-4741-9945-c0bafc7b5a98",
    "requestInstruction": "Please provide the information requested.",
    "requestStatus": "OPEN",
    "responseType": "NoResponse",
    "sender": {
      "fullName": {
        "request": {
          "label": "Full name",
          "kind": "text"
        }
      }  
    },
    "transactions": [
      {
        "paymentDateTime": "2021-10-18T11:05:00.000+00:00",
        "recipientUri": "",
        "senderUri": "",
        "transactionReference": "Trans199034810154901"
      },
{
        "paymentDateTime": "2021-10-20T11:05:00.000+00:00",
        "recipientUri": "",
        "senderUri": "",
        "transactionReference": "Trans2999034810154901"
      },
{
        "paymentDateTime": "2021-10-15T11:05:00.000+00:00",
        "recipientUri": "",
        "senderUri": "",
        "transactionReference": "Trans3999034810154901"
      }
    ]
  },
  "requestStatus": {
    "requestHistory": [
      {
        "eventActor": "Mastercard",
        "eventRef": "20da8559-ff57-48ec-855a-be159dcdde45",
        "eventType": "REQUEST_CREATED",
        "timestamp": "2021-10-25T11:05:00.000+00:00"
      }
    ]
  }
}
```

### 3. RFI request assigned to Customer with a file attached by MC RFI Team(requestDocument); Notification for requestStatus Open. {#3-rfi-request-assigned-to-customer-with-a-file-attached-by-mc-rfi-teamrequestdocument-notification-for-requeststatus-open}

* JSON

```JSON
{
  "partnerId": "BEL_MASEND5ged2",
  "transactionType": "RFI",
  "eventRef": "69aa98a4-a93a-4cab-b179-bbe7473e8b58",
  "eventType": "CREATED",
  "notification": {
    "assignee": "BEL_MASEND5ged2",
    "creator": "Mastercard",
    "lastUpdatedDate": "2021-10-25T18:33:01.331732549Z",
    "other": {
      "requestDocuments": {
        "response": {
          "value": [
            "c08a3ea5-9c1f-4b22-96ae-db1446004136",
            "30a8fbb8-ef0f-4dfb-ac0b-5d4327795c34",
            "d0204872-6890-46b7-ae6a-70a2168a50f8"
          ]
        }
      },
      "responseDocuments": {
        "response": {
          "value": {
            "request": {
              "label": "Additional attachments",
              "kind": "multi_file"
            },
            "response": {
              "value": []
            }
          }
        }
      }
    },
    "requestCreateDate": "2021-10-25T18:33:01.331732549Z",
    "requestId": "30240814-582c-4a96-86d1-72db20d9afb0",
    "requestInstruction": "Please provide the information requested.",
    "requestStatus": "OPEN",
    "responseType": "NoResponse",
    "sender": {
      "fullName": {
        "request": {
          "label": "Full name",
          "kind": "text"
        },
        "response": {
          "value": ""
        }
      }
    },
    "transactions": [
      {
        "paymentDateTime": "2021-10-25T12:00:00.000+00:00",
        "recipientUri": "",
        "senderUri": "",
        "transactionReference": "0999999034810154901"
      }
    ]
  },
  "requestStatus": {
    "requestHistory": [
      {
        "eventActor": "Mastercard",
        "eventRef": "70b30d2b-4c42-4904-b596-c00e193169dc",
        "eventType": "REQUEST_CREATED",
        "timestamp": "2021-10-25T13:33:01.351385506-05:00"
      }
    ]
  }
}
```

### 4. RFI request created and assigned to Customer requesting recipient's passport details; Notification for requestStatus Open. {#4-rfi-request-created-and-assigned-to-customer-requesting-recipients-passport-details-notification-for-requeststatus-open}

* JSON

```JSON
{
	"partnerId": "BEL_MASEND5ged2",
	"transactionType": "RFI",
	"eventRef": "69aa98a4-a93a-4cab-b179-bbe7433e8b58",
	"eventType": "CREATED",
	"notification": {
		"assignee": "BEL_MASEND5ged2",
		"creator": "Mastercard",
		"lastUpdatedDate": "2021-10-25T22:29:42.149617073Z",
		"other": {
			"requestDocuments": {
				"response": {
					"value": []
				}
			}
},
		"recipient": {
			"additionalQuestion": {
        "request": {
          "label": "Passport details",
          "kind": "text"
        }
      }  
		},
		"requestCreateDate": "2021-10-25T22:29:42.149617073Z",
		"requestId": "20d5fc18-f506-4cff-a28e-2d3ad5667e70",
		"requestInstruction": "Please provide the information requested.",
		"requestStatus": "OPEN",
		"responseType": "NoResponse",
		"transactions": [
			{
				"paymentDateTime": "2021-10-18T12:00:00.000+00:00",
				"recipientUri": "",
				"senderUri": "",
				"transactionReference": "0999999034810154901"
			}
		]
	},
	"requestStatus": {
		"requestHistory": [
			{
				"eventActor": "Mastercard",
				"eventRef": "20e73791-3e23-4d40-b66f-8898c1fade10",
				"eventType": "REQUEST_CREATED",
				"timestamp": "2021-10-25T17:29:42.176966855-05:00"
			}
		]
	}
}
```

### 5. RFI request created and assigned to Customer requesting Sender, recipient and paymentAndDocs; Notification for requestStatus Open. {#5-rfi-request-created-and-assigned-to-customer-requesting-sender-recipient-and-paymentanddocs-notification-for-requeststatus-open}

* JSON

```JSON
{
  "partnerId": "BEL_MASEND5ged2",
  "transactionType": "RFI",
  "eventRef": "69aa98a4-a93a-4cab-b179-bbe7433e8b58",
  "eventType": "CREATED",
  "notification": {
    "assignee": "BEL_MASEND5ged2",
    "creator": "Mastercard",
    "lastUpdatedDate": "2021-10-25T22:29:42.149617073Z",
    "other": {
      "requestDocuments": {
        "response": {
          "value": []
        }
      },
      "responseDocuments": {
        "response": {
          "value": {
            "request": {
              "label": "Additional attachments",
              "kind": "multi_file"
            },
            "response": {
              "value": []
            }
          }
        }
      }
    },
    "paymentAndDocs": {
      "additionalQuestion": {
        "request": {
          "label": "Explain in detail why there are three separate payments to beneficiary on same day",
          "kind": "text"
        },
        "response": {
          "value": ""
        }
      }
    },
    "recipient": {
      "additionalQuestion": {
        "request": {
          "label": "Passport details",
          "kind": "text"
        },
        "response": {
          "value": ""
        }
      }
    },
    "requestCreateDate": "2021-10-25T22:29:42.149617073Z",
    "requestId": "20d5fc18-f506-4cff-a28e-2d3ad5667e70",
    "requestInstruction": "Please provide the information requested.",
    "requestStatus": "OPEN",
    "responseType": "NoResponse",
    "sender": {
      "additionalQuestion": {
        "request": {
          "label": "Sender's occupation",
          "kind": "text"
        },
        "response": {
          "value": ""
        }
      }
    },
    "transactions": [
      {
        "paymentDateTime": "2021-10-18T12:00:00.000+00:00",
        "recipientUri": "",
        "senderUri": "",
        "transactionReference": "0999999034810154901"
      },
      {
        "paymentDateTime": "2021-10-18T12:00:00.000+00:00",
        "recipientUri": "",
        "senderUri": "",
        "transactionReference": "ABC9999034810154901"
      },
      {
        "paymentDateTime": "2021-10-18T12:00:00.000+00:00",
        "recipientUri": "",
        "senderUri": "",
        "transactionReference": "DEF9999034810154901"
      }
    ]
  },
  "requestStatus": {
    "requestHistory": [
      {
        "eventActor": "Mastercard",
        "eventRef": "20e73791-3e23-4d40-b66f-8898c1fade10",
        "eventType": "REQUEST_CREATED",
        "timestamp": "2021-10-25T17:29:42.176966855-05:00"
      }
    ]
  }
}
```

### 6. RFI request created and assigned to Customer requesting some additional documents related to payment; Notification for requestStatus Open. {#6-rfi-request-created-and-assigned-to-customer-requesting-some-additional-documents-related-to-payment-notification-for-requeststatus-open}

* JSON

```JSON
{
  "partnerId": "BEL_MASEND5ged2",
  "transactionType": "RFI",
  "eventRef": "69aa98a4-a93a-4cab-b179-bbe7433e8b58",
  "eventType": "CREATED",
  "notification": {
    "assignee": "BEL_MASEND5ged2",
    "creator": "Mastercard",
    "lastUpdatedDate": "2021-10-28T19:23:19.095090761Z",
    "other": {
      "requestDocuments": {
        "response": {
          "value": []
        }
      }
    },
    "paymentAndDocs": {
      "additionalDocuments": {
        "request": {
          "label": "If sender's source of funds is his/her SALARY, kindly provide 3 consecutive pay stubs",
          "kind": "multi_file"
        }
      }
    },
    "requestCreateDate": "2021-10-28T19:23:19.095090761Z",
    "requestId": "00de63a7-b99a-4e53-940f-b1c2cd08f292",
    "requestInstruction": "Please provide the information requested.",
    "requestStatus": "OPEN",
    "transactions": [
      {
        "paymentDateTime": "2021-10-28T12:00:00.000+00:00",
        "recipientUri": "",
        "senderUri": "",
        "transactionReference": "0999999034810154901"
      }
    ]
  },
  "requestStatus": {
    "requestHistory": [
      {
        "eventActor": "Mastercard",
        "eventRef": "d0171607-6b40-4d35-a021-78a8bcd93524",
        "eventType": "REQUEST_CREATED",
        "timestamp": "2021-10-28T14:23:19.113474483-05:00"
      }
    ]
  }
}
```

### 7. RFI request created and assigned to Customer requesting multiple documents; Notification for requestStatus Open. {#7-rfi-request-created-and-assigned-to-customer-requesting-multiple-documents-notification-for-requeststatus-open}

* JSON

```JSON
{
  "partnerId": "BEL_MASEND5ged2",
  "transactionType": "RFI",
  "eventRef": "69aa98a4-a93a-4cab-b179-bbe7433e8b58",
  "eventType": "CREATED",
  "notification": {
    "assignee": "BEL_MASEND5ged2",
    "creator": "Mastercard",
    "lastUpdatedDate": "2021-10-28T19:23:19.095090761Z",
    "other": {
      "requestDocuments": {
        "response": {
          "value": []
        }
      },
      "responseDocuments": {
        "response": {
          "value": {
            "request": {
              "label": "Additional attachments",
              "kind": "multi_file"
            },
            "response": {
              "value": []
            }
          }
        }
      }
    },
    "paymentAndDocs": {
      "additionalDocuments": {
        "request": {
          "label": "If sender's source of funds is his/her SALARY, kindly provide 3 consecutive pay stubs",
          "kind": "multi_file"
        },
        "response": {
          "value": []
        }
      },
      "supportingDocs": {
        "request": {
          "label": "Copy of supporting documentation for business payments (e.g. invoice, collaboration agreements, etc.)",
          "kind": "multi_file"
        },
        "response": {
          "value": []
        }
      }
    },
    "recipient": {
      "additionalDocuments": {
        "request": {
          "label": "Addition proof of Identity such as a passport, an ID card, a driver license",
          "kind": "multi_file"
        },
        "response": {
          "value": []
        }
      }
    },
    "requestCreateDate": "2021-10-28T19:23:19.095090761Z",
    "requestId": "00de63a7-b99a-4e53-940f-b1c2cd08f292",
    "requestInstruction": "Please provide the information requested.",
    "requestStatus": "OPEN",
    "responseType": "NoResponse",
    "sender": {
      "additionalDocuments": {
        "request": {
          "label": "Proof of residence such as a utility bill or account statement",
          "kind": "multi_file"
        },
        "response": {
          "value": []
        }
      },
      "fullAddress": {
        "documents": {
          "request": {
            "label": "Proof of address",
            "kind": "multi_file"
          },
          "response": {
            "value": []
          }
        },
        "request": {
          "label": "Full address",
          "kind": "address"
        }
      },
      "governmentId": {
        "documents": {
          "request": {
            "label": "Copy of ID",
            "kind": "multi_file"
          },
          "response": {
            "value": []
          }
        }
      }
    },
    "transactions": [
      {
        "paymentDateTime": "2021-10-28T12:00:00.000+00:00",
        "recipientUri": "",
        "senderUri": "",
        "transactionReference": "0999999034810154901"
      }
    ]
  },
  "requestStatus": {
    "requestHistory": [
      {
        "eventActor": "Mastercard",
        "eventRef": "d0171607-6b40-4d35-a021-78a8bcd93524",
        "eventType": "REQUEST_CREATED",
        "timestamp": "2021-10-28T14:23:19.113474483-05:00"
      }
    ]
  }
}
```

### 8. RFI request assigned to Customer where additional information is requested by MC RFI team for Sender's name; previous response provided by Customer is rejected; Notification for requestStatus INPROGRESS. {#8-rfi-request-assigned-to-customer-where-additional-information-is-requested-by-mc-rfi-team-for-senders-name-previous-response-provided-by-customer-is-rejected-notification-for-requeststatus-inprogress}

* JSON

```JSON
{
    "partnerId": "BEL_MASEND5ged2",
    "transactionType": "RFI",
    "eventRef": "69aa98a4-a93a-4cab-b179-bbe7433e8b58",
    "eventType": "STATUS_CHG",
    "notification": {
        "assignee": "BEL_MASEND5ged2",
        "creator": "Mastercard",
        "firstResponseDate": "2021-10-25T11:10:00.000+00:00",
        "lastUpdatedDate": "2021-10-25T11:55:00.000+00:00",
        "other": {
            "comments": [
                {
                    "creator": "Mastercard",
                    "text": "Name provided for Sender does not match payment details. Please validate",
                    "timestamp": "2021-06-15T04:07:00-05:00"
                }
            ],
            "requestDocuments": {
                "response": {
                    "value": []
                }
            },
            "responseDocuments": {
                "response": {
                    "value": {
                        "review": {
              "status": "Approved"
            },
                        "request": {
                            "label": "Additional attachments",
                            "kind": "multi_file"
                        },
                        "response": {
                            "value": []
                        }
                    }
                }
            }
        },
        "requestCreateDate": "2021-10-25T11:05:00.000+00:00",
        "requestId": "20ef5aef-0598-4741-9945-c0bafc7b5a98",
        "requestInstruction": "Please provide the information requested.",
        "requestStatus": "INPROGRESS",
        "responseType": "PartialResponse",
        "sender": {
      "fullName": {
        "review": {
          "status": "Rejected"
        },
        "request": {
          "label": "Full name",
          "kind": "text"
        },
        "response": {
          "value": "John Doe"
        }
      }
				},
      "transactions": [
          {
          "paymentDateTime": "2021-10-18T11:05:00.000+00:00",
          "recipientUri": "",
          "senderUri": "",
          "transactionReference": "0999999034810154901"
         }
        ]      
            },
            "requestStatus": {
                "requestHistory": [
                    {
                        "eventActor": "Mastercard",
                        "eventRef": "f01e0d8c-a591-474c-abf4-3daff165c845",
                        "eventType": "CHANGES_REQUESTED",
                        "timestamp": "2021-10-25T11:55:00.000+00:00"
                    },
                    {
                        "eventActor": "BEL_MASEND5ged2",
                        "eventRef": "f05bd8a9-9361-486a-a499-ba7fc2802753",
                        "eventType": "RESPONSE_SUBMITTED",
                        "timestamp": "2021-10-25T11:10:00.000+00:00"
                    },
                    {
                        "eventActor": "Mastercard",
                        "eventRef": "20da8559-ff57-48ec-855a-be159dcdde45",
                        "eventType": "REQUEST_CREATED",
                        "timestamp": "2021-10-25T11:05:00.000+00:00"
                    }
                ]
            }
        }
```

### 9. RFI request assigned to Customer where amendments/additional information is requested by MC RFI team; where Sender's full name response is approved, Sender's Government ID response is rejected and Notification for requestStatus INPROGRESS. {#9-rfi-request-assigned-to-customer-where-amendmentsadditional-information-is-requested-by-mc-rfi-team-where-senders-full-name-response-is--approved-senders-government-id--response-is-rejected-and-notification-for-requeststatus-inprogress}

* JSON

```JSON
{
    "partnerId": "BEL_MASEND5ged2",
    "transactionType": "RFI",
    "eventRef": "69aa98a4-a93a-4cab-b179-bbe7433e8b58",
    "eventType": "STATUS_CHG",
    "notification": {
        "assignee": "BEL_MASEND5ged2",
        "creator": "Mastercard",
        "firstResponseDate": "2021-10-25T11:10:00.000+00:00",
        "lastUpdatedDate": "2021-10-25T11:55:00.000+00:00",
        "other": {
            "comments": [
                {
                    "creator": "Mastercard",
                    "text": "Please upload pictures with maximum resolution",
                    "timestamp": "2021-06-15T04:07:00-05:00"
                }
            ],
            "requestDocuments": {
                "response": {
                    "value": []
                }
            },
            "responseDocuments": {
                "response": {
                    "value": {
                        "review": {
              "status": "Approved"
            },
                        "request": {
                            "label": "Additional attachments",
                            "kind": "multi_file"
                        },
                        "response": {
                            "value": []
                        }
                    }
                }
            }
        },
        "requestCreateDate": "2021-10-25T11:05:00.000+00:00",
        "requestId": "20ef5aef-0598-4741-9945-c0bafc7b5a98",
        "requestInstruction": "Please provide the information requested.",
        "requestStatus": "INPROGRESS",
        "responseType": "PartialResponse",
        "sender": {
      "fullName": {
        "review": {
          "status": "Approved"
        },
        "request": {
          "label": "Full name",
          "kind": "text"
        },
        "response": {
          "value": "John Doe"
        }
      },
      "governmentId": {
        "type": {
					"request": {
            "label": "Share details",
						"kind": "string"
          },
          "review": {
            "status": "Approved"
          },
          "response": {
            "value": "Answer"
					}
				},
        "documents": {
            "request": {
              "label": "Copy of Id",
              "kind": "string"
            },
            "review": {
              "status": "Rejected"
            },
            "response": {
              "value": [
                "3fa85f64-5717-4562-b3fc-2c963f66afa6"
              ]
            }
          }
        }
      },
     		"transactions": [
        {
          "paymentDateTime": "2021-10-18T11:05:00.000+00:00",
          "recipientUri": "",
          "senderUri": "",
          "transactionReference": "0999999034810154901"
        }
       ]      
     },
            "requestStatus": {
                "requestHistory": [
                    {
                        "eventActor": "Mastercard",
                        "eventRef": "f01e0d8c-a591-474c-abf4-3daff165c845",
                        "eventType": "CHANGES_REQUESTED",
                        "timestamp": "2021-10-25T11:55:00.000+00:00"
                    },
                    {
                        "eventActor": "BEL_MASEND5ged2",
                        "eventRef": "f05bd8a9-9361-486a-a499-ba7fc2802753",
                        "eventType": "RESPONSE_SUBMITTED",
                        "timestamp": "2021-10-25T11:10:00.000+00:00"
                    },
                    {
                        "eventActor": "Mastercard",
                        "eventRef": "20da8559-ff57-48ec-855a-be159dcdde45",
                        "eventType": "REQUEST_CREATED",
                        "timestamp": "2021-10-25T11:05:00.000+00:00"
                    }
                ]
            }
        }
```

### 10. RFI request is closed; Notification for requestStatus CLOSED . {#10rfi-request-is-closed-notification-for-requeststatus-closed-}

* JSON

```JSON
{
    "partnerId": "BEL_MASEND5ged2",
    "transactionType": "RFI",
    "eventRef": "69aa98a4-a93a-4cab-b179-bbe7433e8b58",
    "eventType": "STATUS_CHG",
    "notification": {
        "assignee": "BEL_MASEND5ged2",
        "creator": "Mastercard",
        "firstResponseDate": "2021-10-25T11:10:00.000+00:00",
        "lastUpdatedDate": "2021-10-25T11:55:00.000+00:00",
        "other": {
            "comments": [
                {
                    "creator": "Mastercard",
                    "text": "RFI closed as required details no provided on time",
                    "timestamp": "2021-06-15T04:07:00-05:00"
                }
            ],
            "requestDocuments": {
                "response": {
                    "value": []
                }
            },
            "responseDocuments": {
                "response": {
                    "value": {
                        "review": {
              "status": "Approved"
            },
                        "request": {
                            "label": "Additional attachments",
                            "kind": "multi_file"
                        },
                        "response": {
                            "value": []
                        }
                    }
                }
            }
        },
        "requestCreateDate": "2021-10-25T11:05:00.000+00:00",
        "requestId": "20ef5aef-0598-4741-9945-c0bafc7b5a98",
        "requestInstruction": "Please provide the information requested.",
        "requestStatus": "CLOSED",
        "responseType": "PartialResponse",
        "sender": {
            "fullName": {
        "review": {
          "status": "Rejected"
        },
        "request": {
          "label": "Full name",
          "kind": "text"
        },
        "response": {
          "value": "John Doe"
        }
      },          
            "governmentId": {
                "type": {
	  "request": {
            "label": "Share details",
	    "kind": "string"
          },
          "review": {
            "status": "Approved"
          },
          "response": {
            "value": "Answer"
					}
				},
                "documents": {
                        "request": {
                            "label": "Copy of Id",
                            "kind": "string"
                        },
                        "review": {
                            "status": "Approved"
                        },
                        "response": {
              "value": [
                "3fa85f64-5717-4562-b3fc-2c963f66afa6"
              ]
            }
                        }
                    }
                },
       "transactions": [
                    {
                        "paymentDateTime": "2021-10-18T11:05:00.000+00:00",
                        "recipientUri": "",
                        "senderUri": "",
                        "transactionReference": "0999999034810154901"
                    }
                ]
            },
       "requestStatus": {
                "requestHistory": [
                    {
                        "eventActor": "Mastercard",
                        "eventRef": "f01e0d8c-a591-474c-abf4-3daff165c845",
                        "eventType": "CLOSED",
                        "timestamp": "2021-10-25T11:55:00.000+00:00"
                    },
                    {
                        "eventActor": "BEL_MASEND5ged2",
                        "eventRef": "f05bd8a9-9361-486a-a499-ba7fc2802753",
                        "eventType": "RESPONSE_SUBMITTED",
                        "timestamp": "2021-10-25T11:10:00.000+00:00"
                    },
                    {
                        "eventActor": "Mastercard",
                        "eventRef": "20da8559-ff57-48ec-855a-be159dcdde45",
                        "eventType": "REQUEST_CREATED",
                        "timestamp": "2021-10-25T11:05:00.000+00:00"
                    }
                ]
            }
        }
```

### 11. RFI request is cancelled; Notification for requestStatus CANCELLED . {#11rfi-request-is-cancelled-notification-for-requeststatus-cancelled-}

* JSON

```JSON
{
	"partnerId": "BEL_MASEND5ged2",
	"transactionType": "RFI",
	"eventRef": "69aa98a4-a93a-4cab-b179-bbe7433e8b58",
	"eventType": "STATUS_CHG",
	"notification": {
		"assignee": "BEL_MASEND5ged2",
		"creator": "Mastercard",
		"firstResponseDate": "2021-10-25T11:10:00.000+00:00",
		"lastUpdatedDate": "2021-10-25T11:55:00.000+00:00",
		"other": {
			"comments": [
				{
					"creator": "Mastercard",
					"text": "Response no longer required as OI has cancelled the payment",
					"timestamp": "2021-06-15T04:07:00-05:00"
				}
			],
			"requestDocuments": {
				"response": {
					"value": []
				}
			},
			"responseDocuments": {
				"response": {
					"value": {
						"request": {
							"label": "Additional attachments",
							"kind": "multi_file"
						},
						"response": {
							"value": []
						}
					}
				}
			}
		},
		"requestCreateDate": "2021-10-25T11:05:00.000+00:00",
		"requestId": "20ef5aef-0598-4741-9945-c0bafc7b5a98",
		"requestInstruction": "Please provide the information requested.",
		"requestStatus": "CANCELLED",
		"responseType": "NoResponse",
		"sender": {
			"fullName": {
				"request": {
					"label": "Full name",
					"kind": "text"
				}
			}
		},
				"transactions": [
					{
						"paymentDateTime": "2021-10-18T11:05:00.000+00:00",
						"recipientUri": "",
						"senderUri": "",
						"transactionReference": "0999999034810154901"
					}
				]
			},
			"requestStatus": {
				"requestHistory": [
					{
						"eventActor": "Mastercard",
						"eventRef": "f05bd8a9-9361-486a-a499-ba7fc2802753",
						"eventType": "CANCELLED",
						"timestamp": "2021-10-25T11:10:00.000+00:00"
					},
					{
						"eventActor": "Mastercard",
						"eventRef": "20da8559-ff57-48ec-855a-be159dcdde45",
						"eventType": "REQUEST_CREATED",
						"timestamp": "2021-10-25T11:05:00.000+00:00"
					}
				]
			}
}
```

## Sample Responses {#sample-responses}

No Response body

## Error Codes {#error-codes}

Please refer to complete list of error codes [here](https://developer.mastercard.com/cross-border-services/documentation/response-error-codes/index.md).

For information about the HTTP response codes that may be returned for your API requests, see [HTTP Response Codes](https://developer.mastercard.com/cross-border-services/documentation/response-error-codes/http-response-codes/index.md).

### Timeout {#timeout}

Please allow at least 40 seconds to receive a response from the RFI APIs before considering the request to have timed out, at which point you may retry the call. If consistent timeouts occur, please contact the Cross Border Services Customer Support team at **[crossborder.services.support@mastercard.com](mailto:crossborder.services.support@mastercard.com)**.
